> ## Documentation Index
> Fetch the complete documentation index at: https://docs-staging-quickstart-revamp.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

> Describes how to block and unblock users.

# Block and Unblock Users

You can use the Dashboard to block or unblock a specific user's access to your applications. If a blocked user tries to log in to an application, they will be redirected from the application with the error message `user is blocked` in the URL. Blocking users does not expire. You must unblock the user to allow the user to have access to your applications again.

## Block users

1. Go to the [Dashboard > User Management > Users](https://manage.auth0.com/#/users).
2. To the right of the user's name that you want to block, click **...** and choose **Block**.
   Alternatively, you can click the user's name and scroll to the bottom of the **Details** tab, next to **Block user**, click **Block**.

## Unblock users

To unblock users, we provide multiple methods, which match the way in which the user was blocked. Users can be blocked in a few different ways:

* blocked automatically due to the user providing an excessive number of incorrect credentials
* blocked through the <Tooltip tip="Auth0 Dashboard: Auth0's main product to configure your services." cta="View Glossary" href="/docs/glossary?term=Auth0+Dashboard">Auth0 Dashboard</Tooltip> by an administrator
* blocked through the <Tooltip tip="Management API: A product to allow customers to perform administrative tasks." cta="View Glossary" href="/docs/glossary?term=Management+API">Management API</Tooltip> by updating the user profile to set `blocked` to `false`

### Unblock a user who was automatically blocked

When a user is blocked due to the user providing an excessive number of incorrect credentials, you can use Auth0's Management API to unblock them.

Use the [Unblock by Identifier endpoint](https://auth0.com/docs/api/management/v2#!/User_Blocks/delete_user_blocks) to pass an identifier (username, phone number, or email):

```bash wrap lines
curl -X DELETE  https://{yourAuth0Tenant}.auth0.com/api/v2/user-blocks/john.doe%40gmail.com
```

Or use the [Updat](https://auth0.com/docs/api/management/v2#!/Users/patch_users_by_id)[e a User endpoint](https://auth0.com/docs/api/management/v2#!/Users/patch_users_by_id) to patch the `user_id`:

```bash wrap lines
curl -X PATCH -H "Content-Type: application/json" -d '{"blocked":false}' https://{yourAuth0Tenant}.auth0.com/api/v2/users/{user_id}
```

### Unblock a user who was blocked through the user profile

When a user is blocked through their user profile using either the Management API or by an administrator using the Auth0 Dashboard, you can unblock them in one of two ways: by having an administrator unblock them through their user profile using the Auth0 Dashboard or by updating the `blocked` attribute in their user profile using the Management API.

#### Using the Auth0 Dashboard

To unblock a user using the Auth0 Dashboard, an administrator should:

1. Go to the [Dashboard > User Management > Users](https://manage.auth0.com/#/users).
2. To the right of the user's name you want to unblock, click **...** and choose **Unblock**. Alternatively, you can click a previously blocked user's name and scroll to the bottom of the **Details** tab, next to **Unblock user**, click **Unblock.**

#### Using the Management API

<Callout icon="file-lines" color="#0EA5E9" iconType="regular">
  If you use the Management API to reset a user's password, it also unblocks the user.
</Callout>

To unblock a user using the Management API, use the [Update a User endpoint](https://auth0.com/docs/api/management/v2#!/Users/patch_users_by_id) to set the `blocked` attribute to `false`:

```bash wrap lines
curl -X PATCH -H "Content-Type: application/json" -d '{"blocked":false}' https://{yourAuth0Tenant}.auth0.com/api/v2/users/{user_id}
```

## Learn more

* [Manage User Access to Applications](/docs/manage-users/user-accounts/manage-user-access-to-applications)
